﻿if not MixBundle then
	_G.MixBundle = {}
	MixBundle.modpath = ModPath
	MixBundle.settings = {
		usa_mix_style = 1,
		city_rifleman = 1,
		city_shotgunner = 1,
		usa_zeal_marksman = false,
		mad_mix_style = 1,
		mad_akmsu_swat = false,
		mad_ak_medic = false,
		mad_heavies = 1,
		mad_zeal_marksman = false,
		hvh_mix_style = 1,
		hvh_yellow_tazer = false,
		hvh_america_zombie = false,
		hvh_zeal_marksman = false,
		bph_mix_style = 1,
		bph_scar_g36 = false,
		bph_mix_shield = false,
		bph_heavies = 1,
		bph_zeal_marksman = false,
		bex_mix_style = 1,
		bex_mp5_swat = false,
		bex_ump_g36 = false,
		bex_heavies = 1,
		bex_zeal_marksman = false
	}

	function MixBundle:Save()
		local file = io.open(SavePath .. "mix_bundle.txt", "w+")
		if file then
			file:write(json.encode(MixBundle.settings))
			file:close()
		end
	end

	function MixBundle:Load()
		local file = io.open(SavePath .. "mix_bundle.txt", "r")
		if file then
			for k, v in pairs(json.decode(file:read("*all")) or {}) do
				MixBundle.settings[k] = v
			end
			file:close()
		end
	end

		MixBundle:Load()
	MixBundle:Save()	
end