﻿dofile(ModPath .. "menu/menu.lua")

Hooks:Add("LocalizationManagerPostInit", "MSB_localize_menu", function(loc)
	loc:load_localization_file(MixBundle.modpath .. "menu/english.txt", false)
end)

Hooks:Add("MenuManagerInitialize", "MSB_init_menu", function(menu_manager)
	MenuCallbackHandler.msb_save = function(this, item)
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_nothing_callback = function(this, item)
	end
--America
	MenuCallbackHandler.msb_usa_mix_style_callback = function(this, item)
		MixBundle.settings.usa_mix_style = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_city_rifleman_callback = function(this, item)
		MixBundle.settings.city_rifleman = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_city_shotgunner_callback = function(this, item)
		MixBundle.settings.city_shotgunner = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_usa_zeal_marksman_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
--Russia
	MenuCallbackHandler.msb_mad_mix_style_callback = function(this, item)
		MixBundle.settings.mad_mix_style = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_mad_akmsu_swat_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_mad_ak_medic_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_mad_heavies_callback = function(this, item)
		MixBundle.settings.mad_heavies = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_mad_zeal_marksman_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
--Zombie
	MenuCallbackHandler.msb_hvh_mix_style_callback = function(this, item)
		MixBundle.settings.hvh_mix_style = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_hvh_yellow_tazer_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_hvh_america_zombie_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_hvh_zeal_marksman_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
--Murkywater
	MenuCallbackHandler.msb_bph_mix_style_callback = function(this, item)
		MixBundle.settings.bph_mix_style = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bph_scar_g36_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bph_mix_shield_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bph_heavies_callback = function(this, item)
		MixBundle.settings.bph_heavies = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bph_zeal_marksman_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
--Federales
	MenuCallbackHandler.msb_bex_mix_style_callback = function(this, item)
		MixBundle.settings.bex_mix_style = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bex_mp5_swat_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bex_ump_g36_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bex_heavies_callback = function(this, item)
		MixBundle.settings.bex_heavies = tonumber(item:value())
		MixBundle:Save()
	end
	MenuCallbackHandler.msb_bex_zeal_marksman_callback = function(this, item)
		MixBundle.settings[item:name()] = item:value() == "on"
		MixBundle:Save()
	end

	MixBundle:Load()

	MenuHelper:LoadFromJsonFile(MixBundle.modpath .. "menu/menu.txt", MixBundle, MixBundle.settings)
end)